# module WpItem::Vulnerable - RDoc Documentation

# module WpItem::Vulnerable

### Attributes

vulns_file[RW]
vulns_xpath[RW]

### Public Instance Methods

vulnerabilities() click to toggle source

Get the vulnerabilities associated to the WpItem

@return [ Vulnerabilities ]

    # File lib/common/models/wp_item/vulnerable.rb, line 9
    def vulnerabilities
      xml             = xml(vulns_file)
      vulnerabilities = Vulnerabilities.new

      xml.xpath(vulns_xpath).each do |node|
        vulnerabilities << Vulnerability.load_from_xml_node(node)
      end
      vulnerabilities
    end